      SUBROUTINE COSWIN (A,NI,NF,K) 
      DIMENSION A(1)    
      NPT=NF-NI+1 
  100 FORMAT(12X,22HNUMBER TAPERED OVER = ,I10) 
      N=(NPT*K)/10
      PRINT 100,N 
      PI=3.1415926
      DO 1 I=1,N  
      J=I-1 
      P=0.5*(1.0-COS ((PI*J)/N))    
      A(NI+I-1)=A(NI+I-1)*P   
      NZ=NF-J     
    1 A(NZ)=A(NZ)*P     
      RETURN
      END   
